# CbcIntegerPseudoCostBranchingObject Class Reference

Simple branching object for an integer variable with pseudo costs. More...

`#include <CbcSimpleIntegerDynamicPseudoCost.hpp>`

Inheritance diagram for CbcIntegerPseudoCostBranchingObject:
[legend]
Collaboration diagram for CbcIntegerPseudoCostBranchingObject:
[legend]

List of all members.

## Public Member Functions
| CbcIntegerPseudoCostBranchingObject ()
| Default constructor.
| CbcIntegerPseudoCostBranchingObject (CbcModel *model, int variable, int way, double value)
| Create a standard floor/ceiling branch object.
| CbcIntegerPseudoCostBranchingObject (CbcModel *model, int variable, int way, double lowerValue, double upperValue)
| Create a degenerate branch object.
| CbcIntegerPseudoCostBranchingObject (const CbcIntegerPseudoCostBranchingObject &)
| Copy constructor.
CbcIntegerPseudoCostBranchingObject & | operator= (const CbcIntegerPseudoCostBranchingObject &rhs)
| Assignment operator.
virtual CbcBranchingObject * | clone () const
| Clone.
virtual | ~CbcIntegerPseudoCostBranchingObject ()
| Destructor.
virtual double | branch ()
| Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.
double | changeInGuessed () const
| Change in guessed.
void | setChangeInGuessed (double value)
| Set change in guessed.
virtual CbcBranchObjType | type () const
| Return the type (an integer identifier) of `this`.
virtual CbcRangeCompare | compareBranchingObject (const CbcBranchingObject *brObj, const bool replaceIfOverlap=false)
| Compare the `this` with `brObj`.
## Protected Attributes
double | changeInGuessed_
| Change in guessed objective value for next branch.

## Detailed Description

Simple branching object for an integer variable with pseudo costs.

This object can specify a two-way branch on an integer variable. For each arm of the branch, the upper and lower bounds on the variable can be independently specified.

Variable_ holds the index of the integer variable in the integerVariable_ array of the model.

Definition at line 389 of file CbcSimpleIntegerDynamicPseudoCost.hpp.

## Constructor & Destructor Documentation

CbcIntegerPseudoCostBranchingObject::CbcIntegerPseudoCostBranchingObject | ( |  | ) |

Default constructor.

CbcIntegerPseudoCostBranchingObject::CbcIntegerPseudoCostBranchingObject | ( | CbcModel * | model,
|  | int | variable,
|  | int | way,
|  | double | value |
| ) |  |  |

Create a standard floor/ceiling branch object.

Specifies a simple two-way branch. Let `value` = x*. One arm of the branch will be is lb <= x <= floor(x*), the other ceil(x*) <= x <= ub. Specify way = -1 to set the object state to perform the down arm first, way = 1 for the up arm.

CbcIntegerPseudoCostBranchingObject::CbcIntegerPseudoCostBranchingObject | ( | CbcModel * | model,
|  | int | variable,
|  | int | way,
|  | double | lowerValue,
|  | double | upperValue |
| ) |  |  |

Create a degenerate branch object.

Specifies a `one-way branch'. Calling branch() for this object will always result in lowerValue <= x <= upperValue. Used to fix a variable when lowerValue = upperValue.

CbcIntegerPseudoCostBranchingObject::CbcIntegerPseudoCostBranchingObject | ( | const CbcIntegerPseudoCostBranchingObject & |  | ) |

Copy constructor.

virtual CbcIntegerPseudoCostBranchingObject::~CbcIntegerPseudoCostBranchingObject | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CbcIntegerPseudoCostBranchingObject& CbcIntegerPseudoCostBranchingObject::operator= | ( | const CbcIntegerPseudoCostBranchingObject & | rhs | ) |

Assignment operator.

Reimplemented from CbcIntegerBranchingObject.

virtual CbcBranchingObject* CbcIntegerPseudoCostBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CbcIntegerBranchingObject.

virtual double CbcIntegerPseudoCostBranchingObject::branch | ( |  | ) | `[virtual]`

Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.

This version also changes guessed objective value

Reimplemented from CbcIntegerBranchingObject.

double CbcIntegerPseudoCostBranchingObject::changeInGuessed | ( |  | ) | const`[inline]`

Change in guessed.

Definition at line 436 of file CbcSimpleIntegerDynamicPseudoCost.hpp.

void CbcIntegerPseudoCostBranchingObject::setChangeInGuessed | ( | double | value | ) | `[inline]`

Set change in guessed.

Definition at line 440 of file CbcSimpleIntegerDynamicPseudoCost.hpp.

virtual CbcBranchObjType CbcIntegerPseudoCostBranchingObject::type | ( |  | ) | const`[inline, virtual]`

Return the type (an integer identifier) of `this`.

Reimplemented from CbcIntegerBranchingObject.

Definition at line 445 of file CbcSimpleIntegerDynamicPseudoCost.hpp.

virtual CbcRangeCompare CbcIntegerPseudoCostBranchingObject::compareBranchingObject | ( | const CbcBranchingObject * | brObj,
|  | const bool | replaceIfOverlap = `false` |
| ) |  |  | `[virtual]`

Compare the `this` with `brObj`.

`this` and `brObj` must be os the same type and must have the same original object, but they may have different feasible regions. Return the appropriate CbcRangeCompare value (first argument being the sub/superset if that's the case). In case of overlap (and if `replaceIfOverlap` is true) replace the current branching object with one whose feasible region is the overlap.

Reimplemented from CbcIntegerBranchingObject.

## Member Data Documentation

double CbcIntegerPseudoCostBranchingObject::changeInGuessed_`[protected]`

Change in guessed objective value for next branch.

Definition at line 462 of file CbcSimpleIntegerDynamicPseudoCost.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcSimpleIntegerDynamicPseudoCost.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines